PaidGoods

Support tickets

GET
/v1/stores/{storeId}/tickets

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

state?string
Default"active"

Value in

  • "active"
  • "all"
  • "open"
  • "awaiting_customer"
  • "awaiting_merchant"
  • "closed"
priority?string

Value in

  • "low"
  • "normal"
  • "high"
  • "urgent"
assignedTo?|string
q?string
Lengthlength <= 200
customerId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 100
Default25

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/tickets"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": -9007199254740991,      "subject": "string",      "state": "open",      "priority": "low",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "customerEmail": "string",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2",      "messagesCount": -9007199254740991,      "lastMessage": {        "authorType": "customer",        "excerpt": "string"      },      "lastMessageAt": "string",      "createdAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  },  "counts": {    "property1": -9007199254740991,    "property2": -9007199254740991  }}